<?php
$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_31fe0e29fdfc834bf" . "81efd515f8390b2" => base64_decode("IEdST1VQIEJZIG9iamVjdF9pZCBPUkRFUi" . "BCWSB2aWV3cyBERVNDLCB1bmlxdWVfdmll" . "d2VycyBERVNDLCBvYmplY3RfaWQgQVND"), "_bfe6642a5b68bf0dfbe0e38d0" . "c9f9bb3" => base64_decode("U0VMRUNUIENPVU5UKDEpIEZST00gKFNFTEVDVCBv" . "YmplY3RfaWQgRlJPTSBzdGF0X3ZpZXdzIFdIRVJF" . "IGFnZ3JlZ2F0aW9uID0gaW50OmFnZ3JlZ2F0aW9u" . "IEFORCA="), "aggrega" . "tion" => base64_decode("YWdncmVnY" . "XRpb24="), "_8a2c4179b7145f57e03893c306413ae" . "2" => base64_decode("U0VMRUNUIG9iamVjdF9pZCwgQ09VTlQodXNlcl9pZCkgdmlld3MsIENPVU5UKER" . "JU1RJTkNUIHVzZXJfaWQpIHVuaXF1ZV92aWV3ZXJzIEZST00gc3RhdF92aWV3cy" . "BXSEVSRSBhZ2dyZWdhdGlvbiA9IGludDphZ2dyZWdhdGlvbiBBTkQg"), "_c3632c30d13c0678" . "877605a29c10c428" => base64_decode("IEdST1VQIEJZIG9iamVjdF9pZCkgdA" . "=="));
use Claromentis\Core\DAL;
abstract class StatReportTopViewList extends StatReportTopList
{
    function __construct($aggregation, $name)
    {
        parent::__construct($aggregation, $name);
        $this->most_popular_amount = 10;
        $this->rows_per_page = 20;
    }
    protected function CollectData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        global $db;
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_8a2c4179b7145f57e03893c" . "306413ae2"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_31fe0e29fdf" . "c834bf81efd5" . "15f8390b2"]);
        $query->Bind($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["aggregat" . "ion"], $this->aggregation);
        $query->BindPart($filter);
        $query->setLimit($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4);
        $result = $db->query($query);
        $data = array();
        while ($row = $result->fetchArray()) {
            $data[] = $row;
        }
        return $data;
    }
    protected function GetNumRowsQuery()
    {
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_bfe6642a5" . "b68bf0dfbe" . "0e38d0c9f9" . "bb3"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_c3632c3" . "0d13c067" . "8877605a" . "29c10c42" . "8"], $this->aggregation);
        $query->BindPart($filter);
        return $query;
    }
}